;;; Emacs-w3 configuration options

(setq load-path (nconc load-path (list (concat "/usr/share/"
                                               (symbol-name debian-emacs-flavor)
                                               "/site-lisp/w3-el"))))

(autoload 'w3-preview-this-buffer "w3" "WWW Previewer" t)
(autoload 'w3-follow-url-at-point "w3" "Find document at pt" t)
(autoload 'w3 "w3" "WWW Browser" t)
(autoload 'w3-open-local "w3" "Open local file for WWW browsing" t)
(autoload 'w3-fetch "w3" "Open remote file for WWW browsing" t)
(autoload 'w3-use-hotlist "w3" "Use shortcuts to view WWW docs" t)
(autoload 'w3-show-hotlist "w3" "Use shortcuts to view WWW docs" t)
(autoload 'w3-follow-link "w3" "Follow a hypertext link." t)
(autoload 'w3-batch-fetch "w3" "Batch retrieval of URLs" t)
(autoload 'url-get-url-at-point "url" "Find the url under the cursor" nil)
(autoload 'url-file-attributes  "url" "File attributes of a URL" nil)
(autoload 'url-popup-info "url" "Get info on a URL" t)
(autoload 'url-retrieve   "url" "Retrieve a URL" nil)
(autoload 'url-buffer-visiting "url" "Find buffer visiting a URL." nil)
(autoload 'gopher-dispatch-object "gopher" "Fetch gopher dir" t)
;;; End of Emacs-w3 configuration options

;;; The Emacs w3 defaults are to use ssleay.  Debian now uses openssl.
;;; Thanks to andreas <andreas.voegele@nikocity.de> for reporting this fix.
(setq
 ssl-program-name (expand-file-name (concat "/usr/share/"
                                     (symbol-name debian-emacs-flavor)
                                      "/site-lisp/w3-el/w3ssl"))
 ssl-program-arguments '("s_client"
                         "-quiet"
                         "-connect" (concat host ":" service)
                         "-verify" (int-to-string ssl-certificate-verification-policy)
                         "-CApath" (expand-file-name ssl-certificate-directory))
 ssl-view-certificate-program-name ssl-program-name
 ssl-view-certificate-program-arguments '("x509" "-text" "-inform" "DER"))
